3.1.9 to 3.2: "The installer detected a timeout" error

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
User avatar
Toxyy
Registered User
Posts: 689
Joined: Mon Oct 24, 2016 3:22 pm
Location: Namek
Contact:

Re: 3.1.9 to 3.2: "The installer detected a timeout" error

Post by Toxyy » Fri Jun 23, 2017 6:04 am

david63 wrote:
Fri Jun 23, 2017 5:47 am
@Toxyy

Apart from being vague the information in your last post will not work on hosts that do not allow modification of php.ini that way - and that will be the majority of shared hosts.
It changes the local variables, not the master variables. Has worked on about 3 hosts that I've used. I had to create my own php.ini file, there was no actual php.ini file anywhere to be edited in the server. In some servers, the .htaccess solution works. In other servers, .user.ini works... so adding one may not be the solution to your host anyways, which is why I included the 3 solutions.

The last server that I had to do this for didn't have anywhere in the cpanel to change the php ini information either. I added this code, and the local variables showed in the phpinfo.php file that I quoted up there reflected the changes that I added.

On one of the servers, I actually did these fixes in public_html instead of the forum root, but I try forum root first.

I'll test to see which one of the 3 actually updates the local variables.

Edit:

Okay, so on one of the sites, .user.ini was the one that did it. I'll check the others.

On another site, changing it in .htaccess worked.

So, I guess different servers are different. That's why I included the 3 solutions that I found. If you want to be careful, try each solution one at a time and keep checking the phpinfo.php file to see if the variables have updated. If you try all 3 solutions and the variables still don't update, contact your hosting provider about it, or see if your cpanel has an option to change your php ini settings.

Tl;dr:
These fixes worked on every server I've worked on so far. Even the ones that don't allow you to change the php ini settings via cpanel, or by a file. One fix might work on someone's server, another might work on a different server. I'm not sure why, but I tested it and the phpinfo page reflected the changes I made every time.

To note, sometimes the initial upgrade fails with these fixes still (usually when the style of the install directory doesn't fully load for some reason), but after a refresh and rerunning it, it successfully completed. They saved my butt many times, hopefully it can save yours too. Without these fixes I would have had some pretty unhappy clients.

If these fixes don't work for your server, then my suggestion would be to contact your web host about it.
I am a web developer/administrator, specializing in forums. If you have work you need done or are too lazy to do, pm me!

My extensions:
[3.2][BETA] Anonymous Posts || [3.2][BETA] Sticky Ad || [3.2][RC] Show User Activity ||
[3.2][DEV] User Delete Topics

trees
Registered User
Posts: 10
Joined: Fri Jan 02, 2015 8:28 pm

Re: 3.1.9 to 3.2: "The installer detected a timeout" error

Post by trees » Tue Oct 16, 2018 5:28 pm

Creating the three files Toxyy suggested worked for me, but only after I changed my server's PHP version to 5.6.

User avatar
MrTradewell
Registered User
Posts: 47
Joined: Mon Apr 06, 2009 6:23 am
Location: Springfield, Missouri - USA
Contact:

Re: 3.1.9 to 3.2: "The installer detected a timeout" error

Post by MrTradewell » Sun May 19, 2019 10:14 pm

Marc wrote:
Mon Jan 16, 2017 8:02 am
There is unfortunately a typo in the ftp file updater which causes this timeout error to appear although there is no actual timeout. See this related pull request that will be included in the next release of phpBB 3.2: https://github.com/phpbb/phpbb/pull/4647/files

For now I'd recommend not using the FTP updater. If you want to start over again you need to remove the install_config.php file in the store folder.
Spot on, Kudos - this move let me start over and the upgrade went very well. :D
MrTradewell

Post Reply

Return to “[3.2.x] Support Forum”